diff --git a/include/configs/KUP4K.h b/include/configs/KUP4K.h
index c0035e6..3cbe199 100644
--- a/include/configs/KUP4K.h
+++ b/include/configs/KUP4K.h
@@ -499,6 +499,7 @@
 #define CONFIG_AUTOBOOT_KEYED		/* use key strings to stop autoboot */
 #define CONFIG_AUTOBOOT_STOP_STR	"."
 #define CONFIG_SILENT_CONSOLE		1
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_SYS_DEVICE_NULLDEV	1       /* enble null device		*/
 #define CONFIG_VERSION_VARIABLE		1
 
diff --git a/include/configs/KUP4X.h b/include/configs/KUP4X.h
index 5084ccc..c092a90 100644
--- a/include/configs/KUP4X.h
+++ b/include/configs/KUP4X.h
@@ -451,6 +451,7 @@
 
 #define CONFIG_AUTOBOOT_STOP_STR	"."	/* easy to stop for now		*/
 #define CONFIG_SILENT_CONSOLE	1
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 
 #define CONFIG_USB_STORAGE	1
 #define CONFIG_USB_SL811HS	1
diff --git a/include/configs/QS823.h b/include/configs/QS823.h
index 36efbf2..84aea2a 100644
--- a/include/configs/QS823.h
+++ b/include/configs/QS823.h
@@ -37,6 +37,7 @@
 /* various debug settings */
 #undef CONFIG_SYS_DEVICE_NULLDEV		/* null device */
 #undef CONFIG_SILENT_CONSOLE		/* silent console */
+#undef CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #undef CONFIG_SYS_CONSOLE_INFO_QUIET		/* silent console ? */
 #undef DEBUG_FLASH			/* debug flash code */
 #undef FLASH_DEBUG			/* debug fash code */
diff --git a/include/configs/QS850.h b/include/configs/QS850.h
index 5c6ed07..15e6adb 100644
--- a/include/configs/QS850.h
+++ b/include/configs/QS850.h
@@ -37,6 +37,7 @@
 /* various debug settings */
 #undef CONFIG_SYS_DEVICE_NULLDEV		/* null device */
 #undef CONFIG_SILENT_CONSOLE		/* silent console */
+#undef CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #undef CONFIG_SYS_CONSOLE_INFO_QUIET		/* silent console ? */
 #undef DEBUG_FLASH			/* debug flash code */
 #undef FLASH_DEBUG			/* debug fash code */
diff --git a/include/configs/QS860T.h b/include/configs/QS860T.h
index b0bee82..99ac280 100644
--- a/include/configs/QS860T.h
+++ b/include/configs/QS860T.h
@@ -37,6 +37,7 @@
 /* various debug settings */
 #undef CONFIG_SYS_DEVICE_NULLDEV		/* null device */
 #undef CONFIG_SILENT_CONSOLE		/* silent console */
+#undef CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #undef CONFIG_SYS_CONSOLE_INFO_QUIET		/* silent console ? */
 #undef DEBUG_FLASH			/* debug flash code */
 #undef FLASH_DEBUG			/* debug fash code */
diff --git a/include/configs/TQM5200.h b/include/configs/TQM5200.h
index 6ea3faa..c9860fa 100644
--- a/include/configs/TQM5200.h
+++ b/include/configs/TQM5200.h
@@ -69,6 +69,7 @@
 #ifdef CONFIG_FO300
 #define CONFIG_SYS_DEVICE_NULLDEV		1	/* enable null device */
 #define CONFIG_SILENT_CONSOLE		1	/* enable silent startup */
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_BOARD_EARLY_INIT_F	1	/* used to detect S1 switch position */
 #define CONFIG_USB_BIN_FIXUP		1	/* for a buggy USB device */
 #if 0
diff --git a/include/configs/a4m072.h b/include/configs/a4m072.h
index 1c13904..ebb1a32 100644
--- a/include/configs/a4m072.h
+++ b/include/configs/a4m072.h
@@ -53,6 +53,7 @@
 #define CONFIG_SYS_BAUDRATE_TABLE	{ 9600, 19200, 38400, 57600, 115200, 230400 }
 /* define to enable silent console */
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_SYS_DEVICE_NULLDEV	1	/* include nulldev device */
 
 /*
diff --git a/include/configs/bfin_adi_common.h b/include/configs/bfin_adi_common.h
index 3fbf5c6..4729e7b 100644
--- a/include/configs/bfin_adi_common.h
+++ b/include/configs/bfin_adi_common.h
@@ -108,6 +108,7 @@
 #define CONFIG_LOADS_ECHO	1
 #define CONFIG_JTAG_CONSOLE
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #ifndef CONFIG_BAUDRATE
 # define CONFIG_BAUDRATE	57600
 #endif
diff --git a/include/configs/cm5200.h b/include/configs/cm5200.h
index 0abe090..7837037 100644
--- a/include/configs/cm5200.h
+++ b/include/configs/cm5200.h
@@ -62,6 +62,7 @@
 #define CONFIG_BAUDRATE		57600	/* ... at 57600 bps */
 #define CONFIG_SYS_BAUDRATE_TABLE	{ 9600, 19200, 38400, 57600, 115200, 230400 }
 #define CONFIG_SILENT_CONSOLE	1	/* needed to silence i2c_init() */
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 
 /*
  * Ethernet configuration
diff --git a/include/configs/cpu9260.h b/include/configs/cpu9260.h
index 8674a35..e24be56 100644
--- a/include/configs/cpu9260.h
+++ b/include/configs/cpu9260.h
@@ -502,6 +502,7 @@
 #define CONFIG_SYS_LONGHELP
 #define CONFIG_CMDLINE_EDITING
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_NETCONSOLE
 
 /*
diff --git a/include/configs/cpuat91.h b/include/configs/cpuat91.h
index 1b43c54..71996e6 100644
--- a/include/configs/cpuat91.h
+++ b/include/configs/cpuat91.h
@@ -223,6 +223,7 @@
 
 #define CONFIG_DEVICE_NULLDEV
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 
 #define CONFIG_AUTOBOOT_KEYED
 #define CONFIG_AUTOBOOT_PROMPT		\
diff --git a/include/configs/mcc200.h b/include/configs/mcc200.h
index b56b273..a67925c 100644
--- a/include/configs/mcc200.h
+++ b/include/configs/mcc200.h
@@ -424,5 +424,6 @@
 #define CONFIG_AUTOBOOT_KEYED		/* use key strings to stop autoboot	*/
 #define CONFIG_AUTOBOOT_STOP_STR	"432"
 #define CONFIG_SILENT_CONSOLE	1
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 
 #endif /* __CONFIG_H */
diff --git a/include/configs/mimc200.h b/include/configs/mimc200.h
index d8d8256..6cd53d7 100644
--- a/include/configs/mimc200.h
+++ b/include/configs/mimc200.h
@@ -84,6 +84,7 @@
 	"fsload boot/uImage; bootm"
 
 #define CONFIG_SILENT_CONSOLE       /* enable silent startup */
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_DISABLE_CONSOLE      /* disable console */
 #define CONFIG_SYS_DEVICE_NULLDEV   /* include nulldev device */
 
diff --git a/include/configs/omap3_evm_quick_mmc.h b/include/configs/omap3_evm_quick_mmc.h
index 912da7d..19f2836 100644
--- a/include/configs/omap3_evm_quick_mmc.h
+++ b/include/configs/omap3_evm_quick_mmc.h
@@ -43,6 +43,7 @@
  * ----------------------------------------------------------------------------
  */
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_ENV_IS_NOWHERE
 
 /* ----------------------------------------------------------------------------
diff --git a/include/configs/omap3_evm_quick_nand.h b/include/configs/omap3_evm_quick_nand.h
index 2f879c0..65214e9 100644
--- a/include/configs/omap3_evm_quick_nand.h
+++ b/include/configs/omap3_evm_quick_nand.h
@@ -42,6 +42,7 @@
  * ----------------------------------------------------------------------------
  */
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_ENV_IS_NOWHERE
 
 /* -----------------------------------------------------------------------------
diff --git a/include/configs/pdm360ng.h b/include/configs/pdm360ng.h
index f0154e0..c09505b 100644
--- a/include/configs/pdm360ng.h
+++ b/include/configs/pdm360ng.h
@@ -54,6 +54,7 @@
 /* Used for silent command in environment */
 #define CONFIG_SYS_DEVICE_NULLDEV
 #define CONFIG_SILENT_CONSOLE
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 
 /* Video */
 #define CONFIG_VIDEO
diff --git a/include/configs/sc3.h b/include/configs/sc3.h
index 2d6e51d..2627c74 100644
--- a/include/configs/sc3.h
+++ b/include/configs/sc3.h
@@ -128,6 +128,7 @@
 #undef CONFIG_BOOTCOMMAND
 
 #define CONFIG_SILENT_CONSOLE	1	/* enable silent startup */
+#define CONFIG_DEPRECATED_SILENT_LINUX_CONSOLE
 #define CONFIG_SYS_DEVICE_NULLDEV	1	/* include nulldev device	*/
 
 #if 1	/* feel free to disable for development */